import { cartCount } from "@/apis/carts.js"

const state = {
	cart_count: 0
}

const mutations = {
	SETCOUNT(state, count) {
		state.cart_count = count
	}
}

const actions = {
	setCount: async ({ commit }) => {
		const { status, data } = await cartCount()
		const count = data.count
		if(status && count > 0) {
			commit('SETCOUNT', count)
			uni.setTabBarBadge({
				index: 2,
				text: count > 99 ? '99+' : String(count)
			})
		}
	}
}

export default {
    namespaced: true, 
    state,
	mutations,
	actions
}